ROVER
===

![screenshot](2018-10-26_02-36.png)

Rover is a text-based light-weight frontend for update-alternatives, built on
top of termbox.  It was inspired by the ranger file browser. There are several
similar works that provides graphical frontend to update-alternatives:
galternatives and kalternatives. However, Rover still have some advantages
compared to these implementations:

1. User doesn't need to move hand off the keyboard.  
2. Extremely light weight implementation with zero GUI overhead.  
3. Support search by substring and python regex.  
4. Not bound to X service. Usable under tty.  
5. Much easier to maintain as a native package due to short code.  

USAGE
---

```
usage: rover [-h] [-e EXPRESSION] [-v]

optional arguments:
  -h, --help            show this help message and exit
  -e EXPRESSION, --expression EXPRESSION
                        Only display matched alternative names
  -v, --version         Print version information
```

KEYBINDING
---

```
C^n            move down cursor in left select box
n              ditto
z              ditto
C^p            move up cursor in left select box
p              ditto
w              ditto
j              move down cursor in right select box
arrow-down     ditto
k              move up cursor in the right select box
arrow-up       ditto
SPACE          set alternative
ENTER          ditto
l              filter left list using substring (case-insensitive) or regex
/              ditto
ESC            quit
q              ditto
```

Dependencies
---

1. python3 (>= 3.6)
2. termbox (NEW queue) https://salsa.debian.org/debian/termbox  

Problems
---

This is my first complete TUI program and I wrote it as an excercise.
Please expect flaws.

LICENSE
---

```
Mo Zhou <lumin@debian.org>
GPL-3.0+
```
